<?php

/**
 * Add Google Page Insights link to the admin toolbar.
 */
function cwpai_add_page_insights_link($wp_admin_bar) {
    if (!is_admin() && current_user_can('edit_posts')) {
        global $wp;
        $current_url = home_url(add_query_arg([], $wp->request));
        $google_page_insights_url = 'https://developers.google.com/speed/pagespeed/insights/?url=' . urlencode($current_url);

        $args = [
            'id' => 'google-page-insights',
            'title' => '&#128640; Speed Test Page',
            'href' => $google_page_insights_url,
            'meta' => [
                'target'=> 'blank',
                'class' => 'google-page-insights',
                'title' => 'Test this page with Google Page Insights'
            ]
        ];

        $wp_admin_bar->add_node($args);
    }
}

add_action('admin_bar_menu', 'cwpai_add_page_insights_link', 100);