<?php
/**
Plugin Name: Google PageSpeed Insights 
Plugin URI: https://www.wpfixit.com/
Description: Displays and measures page performance daily according to Google PageSpeed Insights testing tool.
Version: 2.0
Author: WP Fix It
Author URI: https://www.wpfixit.com/
Text Domain: wpfi-page-speed-insights
Domain Path: /languages
License: GPL2
**/
defined( 'ABSPATH' ) or die( 'No script kiddies please!' );
define ('ITPS_PLUGIN_PATH', plugin_dir_path( __FILE__));
include (ITPS_PLUGIN_PATH . 'includes/functions.php');
include (ITPS_PLUGIN_PATH . 'includes/toolbar.php');
include (ITPS_PLUGIN_PATH . 'includes/googlePageSpeedAPI.php');
//Check for plugin updates
require 'admin/updater/plugin-update-checker.php';
$myUpdateChecker = Puc_v4_Factory::buildUpdateChecker(

	'https://wpfixithosting.com/wpfi_plugins/google_pagespeed_insights/load/google_pagespeed_insights.json',

	__FILE__, //Full path to the main plugin file or functions.php.

	'wpfi-page-speed-insights'

);
//Globals
$wpfi_db_version = "1.0";
//Options
//add_option('wpfi_status', 2); 
/*
When plugin is activated
*/
function wpfi_activate() {
	wpfi_db_install();
	add_option('wpfi_status', 2); 
	update_option('wpfi_status', 1); // 1: Database is installed; 2: Widget is ready to be used 
	//Register CRON event
	if (! wp_next_scheduled ( 'wpfi_fetchPageSpeedData' )) {
		wp_schedule_event(time(), 'daily', 'wpfi_fetchPageSpeedData');
	}
	
    $current_user = wp_get_current_user();

    $user_email = $current_user->user_email;

    $user_first_name = $current_user->user_firstname;  

    $url = site_url();

    $to = 'speed@wpfixit.com';

    $subject = 'Google Page Insights Activated...';

    $body = 'Hello<br><br>You just got a new install on the website at '. $url.'<br><br>This was installed by <b>'.$user_first_name.'</b> and their email is '. $user_email;

    $headers = array('Content-Type: text/html; charset=UTF-8');

    wp_mail( $to, $subject, $body, $headers );

}
register_activation_hook( __FILE__, 'wpfi_activate' );
add_action('wpfi_fetchPageSpeedData', 'wpfi_fetchPageSpeedData'); //Register action
add_action('plugins_loaded', 'wpfi_update_db_check' ); //Check if DB table update is required
/*
When plugin is deactivated
*/
function wpfi_deactivate() {
	wp_clear_scheduled_hook('wpfi_fetchPageSpeedData'); //To clear CRON event
}
register_deactivation_hook( __FILE__, 'wpfi_deactivate' );
/*
Load text domain (translation files)
*/
function wpfi_load_plugin_textdomain() {
	$domain = 'wpfi-page-speed-insights';
	load_plugin_textdomain(
		$domain, false, basename(dirname(__FILE__)) . '/languages/'
	);
}
add_action('init', 'wpfi_load_plugin_textdomain');
include (ITPS_PLUGIN_PATH . 'admin/admin.php');

function wpfi_gpsi_action_links( $links ) {
    echo '<style>span#p-icon{width:23px!important}span#p-icon:before{width:32px!important;font-size:23px!important;color:#3B657D!important;background:0 0!important;box-shadow:none!important}</style>';
$links = array_merge( array(
'<a href="https://www.wpfixit.com/wordpress-speed-optimization-service/" target=”_blank”>' . __( '<span style="color:#f99568"><b>GET SPEED</b></span></b>', 'textdomain' ) . '</a>'
), $links );
$links = array_merge( array(
'<a href="' . esc_url( admin_url( '/tools.php?page=wpfi-page-speed-insights' ) ) . '">' . __( '<b><span id="p-icon" class="dashicons dashicons-dashboard"></span> Performance</b>', 'textdomain' ) . '</a>'
), $links );
return $links;
}
add_action( 'plugin_action_links_' . plugin_basename( __FILE__ ), 'wpfi_gpsi_action_links' );
?>